'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _ramda = require('ramda');

var operations = ['add', 'replace', 'test', 'remove', 'move', 'copy'];

var isOperation = (0, _ramda.cond)([[(0, _ramda.pipe)((0, _ramda.is)(String), _ramda.not), (0, _ramda.always)('The operation property must be a string')], [(0, _ramda.pipe)((0, _ramda.contains)(_ramda.__, operations), _ramda.not), (0, _ramda.always)('The operation name is not among the valid names ' + operations)], [_ramda.T, _ramda.T]]);

exports.default = isOperation;
//# sourceMappingURL=isOperation.js.map
